SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Profile

Update profile

PATCH/api/v1/users/profile

Updates the signed-in user's display name and/or preferred display currency.

Requires Authorization
Authenticated action

Body parameters

namestring
New display name.
preferredCurrencystring
USD or CDF — used to format prices shown to this user.
Request
curl --request PATCH \
  --url https://api.swiftgoma.com/api/v1/users/profile \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Aline Mapendo",
  "preferredCurrency": "<preferredCurrency>"
}'
200Example response
{
  "success": true,
  "data": {
    "id": "3f2a1c9e-7b41-4e2a-9c31-8e6b2d4f10aa",
    "name": "Aline Mapendo",
    "role": "BUYER",
    "email": "aline@example.com",
    "isEmailVerified": true,
    "phone": "243812345678",
    "isPhoneVerified": true,
    "preferredCurrency": "USD",
    "avatarUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/avatars/aline.jpg",
    "isBlocked": false,
    "createdAt": "2026-01-14T10:32:00.000Z"
  }
}